/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../styles/plateg-variables.less';

.download-link-container {
  .download-link {
    display: inline-block;
    position: relative;
    padding: 0 10px 0 30px;
    overflow-wrap: break-word;
    word-wrap: break-word;
    color: @platform-blue1;
    text-decoration: none;
    white-space: unset;
    &:hover,
    &:focus {
      color: @platform-btn-primary-color;
      .anticon:last-child {
        color: @platform-btn-primary-color;
      }
    }
    .anticon {
      position: absolute;
      left: 0;
      top: 5px;
    }
    .anticon:last-child {
      color: @platform-text-color;
      position: static;
      margin-left: 15px;
    }
  }
}
